Subject: Why is this patch not in 2.6.22-rc5?

From: Stephen Hemminger <[email-masked]>
Date: Tue, 19 Jun 2007 08:23:02 -0700

On Wed, 13 Jun 2007 21:36:30 -0700
Jay Vosburgh <[email-masked]> wrote:

> 
> 	The following patch (based on a patch from Stephen Hemminger
> <[email-masked]>) removes use after free conditions in
> the unregister path for the bonding master.  Without this patch, an
> operation of the form "echo -bond0 > /sys/class/net/bonding_masters"
> would trigger a NULL pointer dereference in sysfs.  I was not able to
> induce the failure with the non-sysfs code path, but for consistency I
> updated that code as well.
> 
> 	I also did some testing of the bonding /proc file being open
> while the bond is being deleted, and didn't see any problems there.
> 
> Signed-off-by: Jay Vosburgh <[email-masked]>
	
Hey David, this patch fixes one of the bugs listed in 2.6.22-rc5
list. Jay submitted last week but it hasn't made it upstream.